@import url('https://fonts.googleapis.com/css2?family=Muli&display=swap');

:root {
  --line-border-fill: #3498db;
  --line-border-empty: #e0e0e0;
}

*{
  box-sizing: border-box;
}

html {
font-size: 62.5%;
}

body {
  background-color: #f6f7fb;
  font-family: 'Muli', 'san-serif';
  display: flex;
  font-size: 1.6rem;
  font-weight: normal;
  align-items: center;
  justify-content: center;
  height: 100vh;
  overflow: hidden;
  margin: 0;
}

.container {
  text-align: center;
}

.progress-container {
  display: flex;
  justify-content: space-between;
  position: relative;
  margin-bottom: 3rem;
  max-width: 100%;
  width: 25rem;
}

.progress-container::before{
  content: '';
  background-color: var(--line-border-empty);
  position: absolute;
  top: 50%;
  left: 0;
  transform: translateY(-50%);
  height: 4px;
  width: 100%;
  z-index: -1;
}

.progress {
  background-color: var(--line-border-fill);
  width: 0%;
  height: 4px;
  z-index: -1;
  position: absolute;
  top: 50%;
  left: 0;
  transform: translateY(-50%);
  transition: 0.4s ease;
}

.circle {
  background-color: #fff;
  color: #999;
  border-radius: 50%;
  width: 3rem;
  height: 3rem;
  display: flex;
  align-items: center;
  justify-content: center;
  border: 3px solid var(--line-border-empty);
  transition: 0.4s ease;
}

.circle.active {
  border-color: var(--line-border-fill);
}

.btn {
  background-color: var(--line-border-fill);
  color: #ffff;
  border: 0;
  border-radius: 6px;
  cursor: pointer;
  padding: 1rem 3rem;
  margin: 0.5rem;
  font-size: 1.2rem;
}

.btn:active {
  transform: scale(0.98);
}


.btn:disabled {
  background-color: var(--line-border-empty);
  cursor: not-allowed;
}

.btn:focus {
  outline: 0;
}
